<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// add module specific options into header
	// add js script for the textarea autosize
	$mod_headers[ $page_tree_moduleTarget ][ 'js' ][]		= $page_tree_modulePath . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'textarea_autosize' . DIRECTORY_SEPARATOR . 'autosize.min.js';
	$mod_headers[ $page_tree_moduleTarget ][ 'js' ][]		= $page_tree_modulePath . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'textarea_autosize.js';


	// add js script for toggling active flag handling
	$mod_headers[ $page_tree_moduleTarget ][ 'js' ][]		= $page_tree_modulePath . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'ajax.toggle_active.js';

?>
