<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_PAGE_TREE['H2']				= 'Page Tree: Infoseite:';

// module details
	$MOD_PAGE_TREE['version']			= 'Versionsinfo';

// additional details
	$MOD_PAGE_TREE['ADD']['LEPTON_version']	= 'LEPTON Version';
	$MOD_PAGE_TREE['ADD']['php_version']		= 'PHP Version';
	$MOD_PAGE_TREE['ADD']['mysql_version']		= 'MySql Version';

// generic
	$MOD_PAGE_TREE['INFO']['Homepage']			= 'Die aktuellste Version kann im <a href="http://www.lepton-cms.com/lepador/modules/page_tree.php" target="_blank">LEPAdoR (das LEPTON Addon Repository)</a> heruntergeladen werden.';
	$MOD_PAGE_TREE['INFO']['Hilfe und Support']= 'Support wird im <a href="http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059" target="_blank">LEPTON CMS Addons Forum</a> angeboten.';
	$MOD_PAGE_TREE['INFO']['Problem melden']	= 'Fehler können ebenso im  <a href="http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059" target="_blank">LEPTON CMS Addons Forum</a> gemeldet werden!';

?>
