<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_PAGE_TREE['H2']['maintain']			= 'Optionen bearbeiten';
	$MOD_PAGE_TREE['H2']['list']				= 'Optionen anzeigen';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_PAGE_TREE['HLP']['key']				= 'Attribute des Skripts';
	$MOD_PAGE_TREE['HLP']['description']		= 'Beschreibung des Attributes (nur auf englisch verfügbar!)';
	$MOD_PAGE_TREE['HLP']['reload']			= 'Durch Klick kann der Standard-Wert wieder hergestellt werden. Der Standard Wert wird vom Preset Skript vorgegeben';
	$MOD_PAGE_TREE['HLP']['modify']			= 'Durch Klick kann zwischen der Benutzung des zuletzt gespeicherten und eines eingegebenen Wertes gewechselt werden.';
	$MOD_PAGE_TREE['HLP']['value']				= '';

// Tooltips
	$MOD_PAGE_TREE['TIP']['default']			= 'Klick um auf den Preset Standard-Wert zurückzusetzen';
	$MOD_PAGE_TREE['TIP']['saved']				= 'Klick um den gespeicherten Wert zu editieren';
	$MOD_PAGE_TREE['TIP']['modified']			= 'Der zuletzt gespeicherte Wert wurde zum editieren freigegeben. Klick um auf den zuletzt gespeicherten Wert zurückzusetzen';

?>
