<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_PAGE_TREE['H2']						= 'Page Tree';

// field names
	$MOD_PAGE_TREE['FLD']['in_active']			= 'Active / Inactive';
	$MOD_PAGE_TREE['FLD']['preset_name']		= 'Preset';
	$MOD_PAGE_TREE['FLD']['tree_page_id']		= 'Start page';
	$MOD_PAGE_TREE['FLD']['description']		= 'Preset description';
	$MOD_PAGE_TREE['FLD']['notes']				= 'Notes';

// placeholder values
	// if such a value is set, the placeholder is shown when empty
//	$MOD_PAGE_TREE['PLH']['preset_name']		= '';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_PAGE_TREE['HLP']['in_active']			= 'Toggle this section to active or inactive.';
	$MOD_PAGE_TREE['HLP']['preset_name']		= 'Defines the Preset.';
	$MOD_PAGE_TREE['HLP']['tree_page_id']		= 'Defines the start page of the page tree.';
	$MOD_PAGE_TREE['HLP']['description']		= 'A Preset description';
	$MOD_PAGE_TREE['HLP']['notes']				= 'Own notes for current setup';

// default value for option list
	$MOD_PAGE_TREE['LIST']['preset_select']	= 'Please select ...';

// Button name
	$MOD_PAGE_TREE['BTN']['options']			= 'Option Details ...';

// tooltip
	$MOD_PAGE_TREE['TIP']['active']			= 'This section is active.';
	$MOD_PAGE_TREE['TIP']['inactive']			= 'This section is inactive.';

// JS dialog titles
	$MOD_PAGE_TREE['DIALOG']['toggle_active']	= 'Active / Inactive';

?>
