<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_PAGE_TREE['H2']['maintain']			= 'Options maintainance';
	$MOD_PAGE_TREE['H2']['list']				= 'List Options';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_PAGE_TREE['HLP']['key']				= 'Attributes of the script';
	$MOD_PAGE_TREE['HLP']['description']		= 'The attribute description.';
	$MOD_PAGE_TREE['HLP']['reload']			= 'Restore the default value with a click. The default value is provided by the Preset script.';
	$MOD_PAGE_TREE['HLP']['modify']			= 'Toggle between the last saved value and the edit mode with a click.';
	$MOD_PAGE_TREE['HLP']['value']				= '';

// Tooltips
	$MOD_PAGE_TREE['TIP']['default']			= 'Click for reset to preset default value';
	$MOD_PAGE_TREE['TIP']['saved']				= 'Click to edit the last saved value';
	$MOD_PAGE_TREE['TIP']['modified']			= 'The last saved value has been allowed for editing Click to reset to last saved value';

?>
